/* $Id: parse.h 8 2023-02-25 09:57:53Z nishi $ */
#ifndef __NIKKEL_PARSE_H__
#define __NIKKEL_PARSE_H__

#include <nikkel/config.h>

#include <stdio.h>

struct nikkel_parsed {
	char* p_title;
	char* p_pagetitle;
	char* p_body;
	char** p_category;
};

struct nikkel_parsed* nikkel_parse(struct nikkel_config* config, FILE* f);
void nikkel_parsed_free(struct nikkel_parsed* parsed);

char* nikkel_parse_category(struct nikkel_config* config, char* category);

#endif
