/* $Id: nikkel.c 4 2023-02-25 09:13:18Z nishi $ */
#include <nikkel.h>

#include <nikkel/util.h>
#include <nikkel/config.h>

#include <string.h>
#include <stdlib.h>
#include <stdio.h>

char* nikkel_entry(struct nikkel_config* config, const char* path){
	if(strcmp(path, "/") == 0){
		return sstrcat(config->c_wikipath, "/Main_Page.wiki");
	}else{
		char* _path = sstrdup(path);
		if(_path[sstrlen(_path) - 1] == '/') _path[sstrlen(_path) - 1] = 0;
		if(strcmp(_path, "/Special:Random_Page") == 0){
			free(_path);
			return sstrdup(".Special:Random_Page");
		}else if(sstartswith(_path, "/Category:")){
			char* fmt_path = sstrdup(_path);
			fmt_path[0] = '.';
			free(_path);
			return fmt_path;
		}else{
			char* tmp = sstrcat3(config->c_wikipath, "/", _path);
			char* result = sstrcat(tmp, ".wiki");
			free(_path);
			free(tmp);
			return result;
		}
	}
}

const char* nikkel_status_string(char status){
	return nikkel_status_str[status];
}
